Skip to main content
PUT
/
client
/
{workspaceId}
/
responses
/
{responseId}
Update Response
curl --request PUT \
  --url https://app.formbricks.com/api/v2/client/{workspaceId}/responses/{responseId} \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "tcgls0063n8ri7dtrbnepcmz": "Who? Who? Who?"
  },
  "finished": true
}
'
import requests

url = "https://app.formbricks.com/api/v2/client/{workspaceId}/responses/{responseId}"

payload = {
"data": { "tcgls0063n8ri7dtrbnepcmz": "Who? Who? Who?" },
"finished": True
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({data: {tcgls0063n8ri7dtrbnepcmz: 'Who? Who? Who?'}, finished: true})
};

fetch('https://app.formbricks.com/api/v2/client/{workspaceId}/responses/{responseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {}
}
{
"code": "not_found",
"details": {
"resource_type": "Response"
},
"message": "Response not found"
}

Path Parameters

workspaceId
string
required

The ID of the Workspace. Deprecated alias environmentId.

responseId
string
required

Body

application/json

The body is of type object.

Response

OK

The response is of type object.